关于pyspider这个问题你遇到了吗?

最近心血来潮想鼓捣鼓捣爬虫于是玩起了pyspider,不过在启动的时候却遇到了一些小问题。

1
2
ValueError: Invalid configuration:
- Deprecated option 'domaincontroller': use 'http_authenticator.domain_controller' instead.

最后定位在了wsgidav3.x问题,pyspider会默认安装wsgidav3.x,解决办法为先把3.x卸载,再装2.xpip install wsgidav会默认安装2.x我安装的是2.4.1

1
2
pip uninstall wsgidav  
pip install wsgidav

如果安装的wsgidav本还是3.x,可以在卸载这个版本之后,在安装命令后面加上具体版本号

1
python -m pip install wsgidav==2.4.1

我就想试试,没别的意思!